<?
// включение плагина на /cab/setting/moduls/
// код для вывода
// $this->form_checkbox_left('<strong>MO сервер</strong>','Плагин отправки данных по МО','IS[plugins][mo_node]',$GLOBALS['_SETTING']['plugins']['mo_node'],'i_mo_node') ;



function MO_NODE() {if (is_object($GLOBALS['mo_node_plugin'])) return($GLOBALS['mo_node_plugin']);$GLOBALS['mo_node_plugin']=new i_mo_node();return($GLOBALS['mo_node_plugin']);} ;

class i_mo_node
{
 function __construct()
 {
 }

 function declare_menu($page)
 {
    $page->menu['/cab/setting/']['items']['/cab/mo_node/']=array('title'=>'MO нода') ;
 }

 function install()
 {  $id_sect=SETUP_add_section_to_site_setting('Сбор МО / Настройки ноды') ;
    SETUP_add_rec_to_site_setting($id_sect,"Адрес главного сервера",'','LS_mo_export_main_server') ;
    SETUP_add_rec_to_site_setting($id_sect,"Логин basic авторизации",'','LS_mo_export_login') ;
    SETUP_add_rec_to_site_setting($id_sect,"Пароль basic авторизации",'','LS_mo_export_password',array('crypt'=>1)) ;
    SETUP_add_rec_to_site_setting($id_sect,"Отправлять данные МО на внешний сервер",0,'LS_mo_export_status',array('el'=>'checkbox')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Дата/время  последней попытки экспорта",0,'LS_mo_export_last_time',array('hidden'=>1)) ;
    SETUP_add_rec_to_site_setting($id_sect,"Дата/время  последнего успешного экспорта",0,'LS_mo_export_success_time',array('hidden'=>1)) ;
    SETUP_add_rec_to_site_setting($id_sect,"ID последнего отправленного МО",0,'LS_mo_export_last_id',array('el'=>'input')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Таймаут при отправке",3,'LS_mo_export_timeout',array('human'=>'sec')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Логгировать обмен данными при экспорте МО",0,'LS_mo_export_log_req',array('el'=>'checkbox')) ;

	ENGINE()->reg_cron('Экспорт МО','MO_NODE/cron_export_mo','*/1 * * * *',array('enabled'=>1)) ;

	// добавить возможность регистрации во вложенных меню!!!
	//SETUP()->reg_menu_item('main','mo_node','/cab/mo_node/') ;

	SETUP()->reg_ext('mo_node','mo_node') ;
 }

 function cron_export_mo()
 {
    include(_DIR_EXT.'/mo_node/i_export_mo.php') ;
    $export_obj=new i_export_mo() ;
    $result=$export_obj->send($GLOBALS['LS_mo_export_last_id'],array('limit'=>10)) ;
    //damp_array($result,1,-1);
    if (isset($result['content'])) damp_array(json_decode($result['content']),1,-1);
 }


}

?>